<template>
  <div class="blank-page page-view w-100 h-100">
    <mindMap></mindMap>
  </div>
</template>
<script>
import mindMap from '@/components/mindMap/index.vue';
export default {
  name: 'mindMapPage',
  components: { mindMap },
  data() {
    return {
      origintData: {
        name: 'a',
      },
    };
  },
  watch: {
    '$route.query': {
      immediate: true,
      deep: true,
      handler(data) {
        this.initData(data); // 获取url上传递的参数
      },
    },
  },
  methods: {
    /**
     * @description: dialog每次显示时触发的init方法
     * @param {*} data 传入data
     * @return {*}
     */
    initData(data) {
      this.origintData = { ...data };
      if (data.id) {
        // this.getData();
      }
    },

    async getData() {
      try {
        // this.tableLoading = true;
        // const params = {
        //   ...this.filters,
        //   ...this.pageOption,
        // };
        // const { data = [], field = {}, total = 0 } = await API.queryWLTableData(params);
        // if (this.origintData.tableClass === '2') {
        //   this.tableData = data.map((item) => {
        //     return JSON.parse(item?.DATA_JSON_ || '');
        //   });
        // } else {
        //   this.tableData = data || [];
        // }
      } catch (e) {
        console.log(e);
      } finally {
        this.tableLoading = false;
      }
    },
  },
};
</script>
<style></style>
